{"openapi":"3.1.0","info":{"title":"POST /api/v1/change-orders/{change_order_id}/send","version":"1.0.0","description":"Send change order"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/change-orders/{change_order_id}/send":{"post":{"tags":["change-orders"],"summary":"Send change order","description":"Send a change order (draft -> sent).","operationId":"send_change_order_api_v1_change_orders__change_order_id__send_post","parameters":[{"name":"change_order_id","in":"path","required":true,"schema":{"type":"string","title":"Change Order Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessEnvelope_ChangeOrderResponse_"}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"ChangeOrderResponse":{"properties":{"id":{"type":"string","title":"Id"},"business_id":{"type":"string","title":"Business Id"},"contract_id":{"type":"string","title":"Contract Id"},"version":{"type":"integer","title":"Version"},"status":{"type":"string","title":"Status"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"value_delta_cents":{"type":"integer","title":"Value Delta Cents","default":0},"delta_lines":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Delta Lines"},"signed_file_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signed File Url"},"sent_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Sent At"},"signed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Signed At"},"countersigned_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Countersigned At"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"can_be_sent":{"type":"boolean","title":"Can Be Sent","default":false},"can_be_signed":{"type":"boolean","title":"Can Be Signed","default":false},"can_be_countersigned":{"type":"boolean","title":"Can Be Countersigned","default":false},"can_be_updated":{"type":"boolean","title":"Can Be Updated","default":false},"can_be_deleted":{"type":"boolean","title":"Can Be Deleted","default":false}},"type":"object","required":["id","business_id","contract_id","version","status","created_at","updated_at"],"title":"ChangeOrderResponse","description":"Response schema for a change order."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"SuccessEnvelope_ChangeOrderResponse_":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"data":{"anyOf":[{"$ref":"#/components/schemas/ChangeOrderResponse"},{"type":"null"}]}},"additionalProperties":true,"type":"object","title":"SuccessEnvelope[ChangeOrderResponse]"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}